Package ru.bitel.bgbilling.plugins.dispatch.common.bean.condition

# Class DispatchSaldoCondition

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.DispatchSaldoCondition

All Implemented Interfaces:
  `java.io.Serializable`

    public class DispatchSaldoCondition
    extends DispatchCondition

Условие отправки, заключающееся в проверке сальдо договора. Под сальдо в данном случае подразумевается сумма входящего остатка договора и платежей на момент отправки.

Since:
  6.2
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchSaldoCondition()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `deserializePart​(org.w3c.dom.Element element)` |
  `java.math.BigDecimal` | `getSaldoFrom()` | Получение левой границы условия по сальдо.
  `java.math.BigDecimal` | `getSaldoTo()` | Получение правой границы условия по сальдо.
  `protected void` | `serializePart​(org.w3c.dom.Element element)` |
  `void` | `setSaldoFrom​(java.math.BigDecimal saldoFrom)` | Установка левой границы условия по сальдо.
  `void` | `setSaldoTo​(java.math.BigDecimal saldoTo)` | Установка левой границы условия по сальдо.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition

  `deserialize, getClassName, getModuleId, serialize, setModuleId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DispatchSaldoCondition

    public DispatchSaldoCondition()

- ## Method Details

  - ### getSaldoFrom

    public java.math.BigDecimal getSaldoFrom()
    Получение левой границы условия по сальдо.
    Returns:
      сальдо договора "от".

  - ### setSaldoFrom

    public void setSaldoFrom​(java.math.BigDecimal saldoFrom)
    Установка левой границы условия по сальдо.
    Parameters:
      `saldoFrom` - сальдо договора.

  - ### getSaldoTo

    public java.math.BigDecimal getSaldoTo()
    Получение правой границы условия по сальдо.
    Returns:
      сальдо договора "до".

  - ### setSaldoTo

    public void setSaldoTo​(java.math.BigDecimal saldoTo)
    Установка левой границы условия по сальдо.
    Parameters:
      `saldoTo` - сальдо договора.

  - ### serializePart

    protected void serializePart​(org.w3c.dom.Element element)
    Specified by:
      `serializePart` in class `DispatchCondition`

  - ### deserializePart

    protected void deserializePart​(org.w3c.dom.Element element)
    Specified by:
      `deserializePart` in class `DispatchCondition`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`